#import "AppCon.h"
#import "ColorView.h"

#define DEFAULTS_VIEW_COLOR_KEY	@"defaultsViewColorKey"

@implementation AppCon

+ (void)initialize {
	// Establish the user default for the color and assign it an initial value of white.
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	NSData *defaultViewColorData = [NSArchiver archivedDataWithRootObject:[NSColor whiteColor]];
	NSDictionary *myDefaults = [NSDictionary dictionaryWithObject:defaultViewColorData forKey:DEFAULTS_VIEW_COLOR_KEY];
	[defaults registerDefaults:myDefaults];
}

- (void)awakeFromNib {
	// Make sure the color view gets set to the color well color (stored in defaults) when the app is launched. After this, the color well will call the color view's changeColor: action method directly to set it.
	[myColorView setViewColor:[myColorWell color]];
}

@end
