#import "ColorView.h"


@implementation ColorView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        viewColor = [NSColor whiteColor];
    }
    return self;
}

- (void)dealloc {
	[viewColor release];
	[super dealloc];
}

- (void)drawRect:(NSRect)rect {
	[[self viewColor] set];
    NSRectFill(rect);
}

- (IBAction)changeViewColor:(id)sender {
	[self setViewColor:[sender color]];
	[self setNeedsDisplay:YES];
}

#pragma mark accessors

- (void)setViewColor:(NSColor*)newColor {
	if (viewColor != newColor) {
		[viewColor release];
		viewColor = [newColor copy];
	}
}

- (NSColor*)viewColor {
	return viewColor;
}

@end
